| Uwierzytelnianie | wymagane |
| Format odpowiedzi | json |
| Metoda HTTP | GET |
https://your-system-name.thulium.com/api/customer_field_group_items
|
group_id
opcjonalny |
Identyfikator grupy pól zwrócony przez zasób grupy pól specjalnych |
|
customer_id
opcjonalny |
Identyfikator klienta zwrócony przez zasób klienci |
|
limit
opcjonalny |
Liczba rekordów, które mają być zwrócone. Domyślnie: 100. Maksymalna wartość: 1000.
Przykładowa wartość: 100
|
|
offset
opcjonalny |
Od którego rekordu należy zwrócić rezultat (używane, gdy rekordów jest więcej, niż limit). Domyślna wartość: 0.
Przykładowa wartość: 10
|
| GET | https://your-system-name.thulium.com/api/customer_field_group_items?group_id=1&customer_id=123 |
{
"count": 1,
"result": [
{
"group_id": 2,
"name": "Orders",
"fields": [
{
"field_id": 12,
"name": "Product"
},
{
"field_id": 8,
"name": "Count"
},
{
"field_id": 9,
"name": "Confirmed"
},
{
"field_id": 10,
"name": "Comment"
}
]
}
]
}
<?php $request = curl_init('https://your-system-name.thulium.com/api/customer_field_group_items?group_id=1&customer_id=123'); curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8')); curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass"); curl_setopt($request, CURLOPT_TIMEOUT, 30); curl_setopt($request, CURLOPT_RETURNTRANSFER, true); $response = curl_exec($request); if ($response) { $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE); if ($httpCode == 200){ print_r(json_decode($response)); } else { echo $response; } } else { trigger_error(curl_error($request), E_USER_WARNING); } curl_close($request);
public class Example { public static void main(String[] args) throws Exception { ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true); ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/customer_field_group_items?group_id=1&customer_id=123"); System.out.println(response); } }
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/customer_field_group_items?group_id=1&customer_id=123"
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/customer_field_group_items group_id==1 customer_id==123 Accept:application/json